<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@300;700&display=swap"
            rel="stylesheet">
    <style>
        body {
            background-color: white !important;
            margin: 0;
        }
    </style>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CheersBeers</title>

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
            integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
            crossorigin="anonymous"></script>
    <!-- bootstrap -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/876095b5f8.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">

    <script type="text/javascript" href="../static/js/main.js" th:href="@{/js/main.js}"></script>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>
<!--navigation bar-->
<div th:replace="fragments/navbar.html :: header"></div>
<!--<div class="nav-container">-->
<!--    <div class="wrapper">-->
<!--        <nav>-->
<!--            <div class="logo">-->
<!--                <a href="beers_page.html" th:href="@{/beers}"><img src="../static/images/logo_beer_page.png"-->
<!--                                                                   th:src="@{/images/logo_beer_page.png}"-->
<!--                                                                   alt="CHEERBEERS"></a>-->
<!--            </div>-->
<!--            <ul class="nav-items">-->

<!--                <li>-->
<!--                    Welcome <a href="#">Kevin</a>-->
<!--                </li>-->

<!--                <li>-->
<!--                    <div class="dropdown">-->
<!--                        <img class="profile-picture-nav" src="../static/images/defaultAvatar.jpg"-->
<!--                             th:src="@{/images/defaultAvatar.jpg}">-->
<!--                        <div class="dropdown-content">-->
<!--                            <div class="desc"><a href="#"> Profile</a></div>-->
<!--                            <div class="desc"><a href="#"> Add new beer</a></div>-->
<!--                            <div class="desc"><a href="#">My wishlist</a></div>-->
<!--                            <div class="desc"><a href="#">My drunklist</a></div>-->
<!--                            <div class="desc"><a href="#">logout</a></div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </li>-->
<!--            </ul>-->
<!--        </nav>-->
<!--    </div>-->
<!--</div>-->
<!--navigation bar above-->

<div class="container emp-profile">

    <div class="row">
        <div class="col-md-4">
            <div class="profile-img">
                <img src="../static/images/staropramen.jpg" alt="profilepicture"
                     th:src="${beer.getPicture()}"/>
                <!--                <div class="file btn btn-lg btn-primary">-->
                <!--                    Change Photo-->
                <!--                    <input type="file" name="file"/>-->
                <!--                </div>-->
            </div>
        </div>
        <div class="col-md-6">
            <div class="profile-head">
                <h5 th:text="${beer.getName()}">
                    Staropramen
                </h5>
                <h6 th:text="${beer.getStyle().getStyle()}">
                    Indian Pale Ale
                </h6>
                <h6 th:text="${beer.getAbv()} + '%'">
                    4.5%
                </h6>

                <span class="rating">
                               <span class="rating-upper" th:style="'width: ' + ${beer.getRatingInPercentage()} + '%'">
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                </span>
                                <span class="rating-lower">
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                </span>
                            </span>
                <span th:text="${avgBeerRating} + '/5'">12/5</span>
<!--                <button type="button" class="btn btn-primary btn-sm">Rate</button>-->

                    <form th:if="${user.getDrunkListIdsOnly().contains(beerId)}" sec:authorize="isAuthenticated()" th:action="@{/beers/rate/__${beerId}__}" method="POST">
                    <select class="form-control form-control-sm" name="filter" onchange="this.form.submit();">
                    <option>rate beer</option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                </select>
                </form>
                <p class="proile-rating" th:text="${beer.getDescription()}">Lorem ipsum dolro sit amet this is a
                    descriptiun</p>
            </div>

        </div>
        <div class="col-md-2">

            <div sec:authorize="isAuthenticated()">
<!--                <form  th:action="@{'/beers/' + ${beer.getId()}}">-->
<!--                    <button th:if="${loggedUser.getId() == creator.getId()}" type="submit" class="profile-edit-btn">Edit beer</button>-->
<!--                </form>-->
                <a th:if="${user.getId() == creator.getId()}" th:href="@{'/beers/' + ${beer.getId()} +'/'}"  class="btn btn-secondary" role="button" >Edit beer</a>
                <a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{'/beers/' + ${beer.getId()} +'/'}"  class="btn btn-secondary" role="button" >Edit beer</a>
<!--                <button   th:href="@{'/beers/' + ${beer.getId()}}"  type="submit" class="profile-edit-btn">Edit beer</button>-->
                <div>&nbsp</div>
                <a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{'/beers/' + ${beer.getId()} +'/'}"  class="btn btn-warning" role="button" >Delete beer</a>
<!--                <button sec:authorize="hasRole('ROLE_ADMIN')" type="submit" class="btn btn-warning" id="deleteBtnProfilePage" >Delete beer </button>-->
                <form class="addToList-form" th:action="@{'/beers/add/toWishList/' + ${beer.id}}" method="post">
                    <button th:if="${!user.getWishListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" class="btn btn-info">Add to wish list</button>
                </form>
                <form class="addToList-form" th:action="@{'/beers/add/toDrunkList/' + ${beer.id}}" method="post">
                    <button th:if="${!user.getDrunkListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" class="btn btn-info">Add to drunk list</button>
                </form>
            </div>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="profile-work">
                <p>More Information</p>
                <a>origin country: </a><a th:text="${beer.getOriginCountry().country}"> StaraZagora</a></a><br/>
                <a>brewery: </a><a th:text="${beer.getBrewery().brewery}"> StaraZagoraBrewery</a></a><br/>
                <a>added by: </a><a th:text="${beer.getCreator().userName}"> Hart</a></a><br/>
                <a>hashtags: </a><i th:text="${beer.printTags()}">Hart Hart2 Hart3</i></i><br/>
            </div>
        </div>


    </div>
</div>
</body>
</html>